Bug 112761 - usb hotplugging: no reaction
usb hotplugging: no reaction
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-30 15:15 EST by Andreas Kirschner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Kirschner 2003-12-30 15:15:59 EST
Description of problem:
Whenever I boot my linux and the system is up, hotplugging of usb
devices does not work. There are NO entries in /var/log/messages. The
kernel seems not to recognize the new devices. But if I boot the
system with the devices plugged in, they are ok, and I can use them. 
ps -A states the daemon khubd is running. I get no error messages
during boot in /var/log/messages. The /proc/interrupts tells, 
usb-uhci is configured on irq 10 and 11. it says usb-uhci, PCI device
1542:1421 (ENE Technology)

My system is a laptop with acpi enabled. There is the intel 855GM
chipset in it. Two USB interfaces are found by scanpci: 82801DB
I have two usb devices, a mouse, and a storrage drive. both are
working on redhat 9 (a desktop system), and when booting with them.

It seems, the usb stuff is out of power, when the system is up and so
the kernel does not receive any signal when plugging. Or perhaps the
khubd is not responding. perhaps a hardware issue?

Today I installed hotplug the newest version, no changes.

ehci-hcd does not load: No such device

Version-Release number of selected component (if applicable):
Fedora Core 1
kernel 2.4.22-1.2135.nptl acpi=on apm=off
hotplug 2003_08_05
USB 2.0

How reproducible:
always

Steps to Reproduce:
1. boot
2. plug in usb device
3. no reaction
  
Actual results:
none

Expected results:
hotplugging like on every other computer

Additional info:
please ask
Comment 1 David Lawrence 2004-09-29 15:54:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.